Package csb :: Package bio :: Package io :: Module clans :: Class ClansFileBuilder

[frames] | no frames]

# Class ClansFileBuilder

source code

    object --+
             |
            ClansFileBuilder

Known Subclasses:
  - ClansFileWriter

Base abstract files for building a file in CLANS format. Defines a common step-wise interface according to the Builder pattern.

Nested Classes
| __metaclass__ Metaclass for defining Abstract Base Classes (ABCs).

Instance Methods

__init__(self, output) x.__init__(...) initializes x; see help(type(x)) for signature | source code

add_hsp_block(self, block_data) | source code

add_param_block(self, block_data) | source code

add_pos_block(self, block_data) | source code

add_rotmtx_block(self, block_data) | source code

add_seq_block(self, block_data) | source code

add_seqgroups_block(self, block_data) | source code

write(self, text) Write a chunk of text | source code

writeline(self, text) Write a chunk of text and append a new line terminator | source code

Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Class Variables
| __abstractmethods__ = ``frozenset([``'``add_hsp_block``'``,` `'``add_param_b``...``

Properties
stream | output Destination stream
Inherited from `object`: `__class__`

Method Details

### __init__(self, output)
(Constructor)

source code

x.__init__(...) initializes x; see help(type(x)) for signature

Parameters:
  - `output` (stream) - output stream (this is where the product is constructed)
Overrides: object.__init__
  (inherited documentation)

Class Variable Details

### __abstractmethods__

Value:

      frozenset(['add_hsp_block',
                 'add_param_block',
                 'add_pos_block',
                 'add_rotmtx_block',
                 'add_seq_block',
                 'add_seqgroups_block'])

Property Details

### output

Destination stream

Get Method:
  unreachable.output(self) - Destination stream
Type:
  stream